
#this takes the 'pastLongData' current file (e.g. load data from the analysis file first: here, 'cluster_pnas_linear.r')

#vars we want:
pastLongData$TI6_veryHot <- ifelse (pastLongData$TI6_CRU >= 2, c(1), c(0))
pastLongData$TI6_Hot<- ifelse (pastLongData$TI6_CRU >= 1, c(1), c(0))
pastLongData$TI6_veryCold <- ifelse (pastLongData$TI6_CRU <= -2, c(1), c(0))
pastLongData$TI6_Cold<- ifelse (pastLongData$TI6_CRU <= -1, c(1), c(0))
pastLongData$SPI6_veryWet <- ifelse (pastLongData$SPI6_CRU >= 2, c(1), c(0))
pastLongData$SPI6_Wet<- ifelse (pastLongData$SPI6_CRU >= 1, c(1), c(0))
pastLongData$SPI6_veryDry <- ifelse (pastLongData$SPI6_CRU <= -2, c(1), c(0))
pastLongData$SPI6_Dry<- ifelse (pastLongData$SPI6_CRU <= -1, c(1), c(0))
pastLongData$vhvd_int<-ifelse(pastLongData$TI6_veryHot == 1  & pastLongData$SPI6_veryDry == 1,c(1),c(0))
pastLongData$hd_int<-ifelse(pastLongData$TI6_Hot == 1  & pastLongData$SPI6_Dry == 1,c(1),c(0))

attach(pastLongData)

####### differences analysis
#here are difference for temp VERY HOT
vh_tr <- which(pastLongData$TI6_veryHot == 1)
vh_ct <- which(pastLongData$TI6_veryHot == 0)
vh_ntr <- length(vh_tr)
vh_nct <- length(vh_ct)
#differences
vh_mat_dif<-
mean(pastLongData$Events[vh_tr]) - mean(pastLongData$Events[vh_ct])
vh_mat_dif
#mean
vh_mat_mean_tr <- mean (pastLongData$Events[vh_tr])
vh_mat_mean_ct <- mean (pastLongData$Events[vh_ct])
#sd
vh_mat_sd_tr <- sd (pastLongData$Events[vh_tr])
vh_mat_sd_ct <- sd (pastLongData$Events[vh_ct])

#HOT
h_tr <- which(pastLongData$TI6_Hot == 1)
h_ct <- which(pastLongData$TI6_Hot == 0)
h_ntr <- length(h_tr)
h_nct <- length(h_ct)
#differences
h_mat_dif<-
mean(pastLongData$Events[h_tr]) - mean(pastLongData$Events[h_ct])
h_mat_dif
#mean
h_mat_mean_tr <- mean (pastLongData$Events[h_tr])
h_mat_mean_ct <- mean (pastLongData$Events[h_ct])
#sd
h_mat_sd_tr <- sd (pastLongData$Events[h_tr])
h_mat_sd_ct <- sd (pastLongData$Events[h_ct])


#COLD
c_tr <- which(pastLongData$TI6_Cold == 1)
c_ct <- which(pastLongData$TI6_Cold == 0)
c_ntr <- length(c_tr)
c_nct <- length(c_ct)
#differences
c_mat_dif<-
mean(pastLongData$Events[c_tr]) - mean(pastLongData$Events[c_ct])
c_mat_dif
#mean
c_mat_mean_tr <- mean (pastLongData$Events[c_tr])
c_mat_mean_ct <- mean (pastLongData$Events[c_ct])
#sd
c_mat_sd_tr <- sd (pastLongData$Events[c_tr])
c_mat_sd_ct <- sd (pastLongData$Events[c_ct])

#VERY COLD
vc_tr <- which(pastLongData$TI6_veryCold == 1)
vc_ct <- which(pastLongData$TI6_veryCold == 0)
vc_ntr <- length(vc_tr)
vc_nct <- length(vc_ct)
#differences
vc_mat_dif<-
mean(pastLongData$Events[vc_tr]) - mean(pastLongData$Events[vc_ct])
vc_mat_dif
#mean
vc_mat_mean_tr <- mean (pastLongData$Events[vc_tr]
vc_mat_mean_ct <- mean (pastLongData$Events[vc_ct])
#sd
vc_mat_sd_tr <- sd (pastLongData$Events[vc_tr])
vc_mat_sd_ct <- sd (pastLongData$Events[vc_ct])


#here are difference for precip
#VERY DRY 
vd_tr <- which(pastLongData$SPI6_veryDry == 1)
vd_ct <- which(pastLongData$SPI6_veryDry == 0)
vd_ntr <- length(vd_tr)
vd_nct <- length(vd_ct)
#differences
vd_mat_dif<-
mean(pastLongData$Events[vd_tr]) - mean(pastLongData$Events[vd_ct])
vd_mat_dif
#mean
vd_mat_mean_tr <- mean (pastLongData$Events[vd_tr])
vd_mat_mean_ct <- mean (pastLongData$Events[vd_ct])
#sd
vd_mat_sd_tr <- sd (pastLongData$Events[vd_tr])
vd_mat_sd_ct <- sd (pastLongData$Events[vd_ct])

#DRY
d_tr <- which(pastLongData$SPI6_Dry == 1)
d_ct <- which(pastLongData$SPI6_Dry == 0)
d_ntr <- length(d_tr)
d_nct <- length(d_ct)
#differences
d_mat_dif<-
mean(pastLongData$Events[d_tr]) - mean(pastLongData$Events[d_ct])
d_mat_dif
#mean
d_mat_mean_tr <- mean (pastLongData$Events[d_tr])
d_mat_mean_ct <- mean (pastLongData$Events[d_ct])
#sd
d_mat_sd_tr <- sd (pastLongData$Events[d_tr])
d_mat_sd_ct <- sd (pastLongData$Events[d_ct])

#WET
w_tr <- which(pastLongData$SPI6_Wet == 1)
w_ct <- which(pastLongData$SPI6_Wet == 0)
w_ntr <- length(w_tr)
w_nct <- length(w_ct)
#differences
w_mat_dif<-
mean(pastLongData$Events[w_tr]) - mean(pastLongData$Events[w_ct])
w_mat_dif
#mean
w_mat_mean_tr <- mean (pastLongData$Events[w_tr])
w_mat_mean_ct <- mean (pastLongData$Events[w_ct])
#sd
w_mat_sd_tr <- sd (pastLongData$Events[w_tr])
w_mat_sd_ct <- sd (pastLongData$Events[w_ct])

#VERY WET
vw_tr <- which(pastLongData$SPI6_veryWet == 1)
vw_ct <- which(pastLongData$SPI6_veryWet == 0)
vw_ntr <- length(vw_tr)
vw_nct <- length(vw_ct)
#differences
vw_mat_dif<-
mean(pastLongData$Events[vw_tr]) - mean(pastLongData$Events[vw_ct])
vw_mat_dif
#mean
vw_mat_mean_tr <- mean (pastLongData$Events[vw_tr])
vw_mat_mean_ct <- mean (pastLongData$Events[vw_ct])
#sd
vw_mat_sd_tr <- sd (pastLongData$Events[vw_tr])
vw_mat_sd_ct <- sd (pastLongData$Events[vw_ct])

#here are difference for interaction
#HOT/DRY
int_tr <- which(pastLongData$hd_int == 1)
int_ct <- which(pastLongData$hd_int == 0)
int_ntr <- length(int_tr)
int_nct <- length(int_ct)
#differences
int_mat_dif<-
mean(pastLongData$Events[int_tr]) - mean(pastLongData$Events[int_ct])
int_mat_dif
#mean
int_mat_mean_tr <- mean (pastLongData$Events[int_tr])
int_mat_mean_ct <- mean (pastLongData$Events[int_ct])
#sd
int_mat_sd_tr <- sd (pastLongData$Events[int_tr])
int_mat_sd_ct <- sd (pastLongData$Events[int_ct])

#here are difference for interaction
#VH/VD
int2_tr <- which(pastLongData$vhvd == 1)
int2_ct <- which(pastLongData$vhvd == 0)
int2_ntr <- length(int2_tr)
int2_nct <- length(int2_ct)
#differences
int2_mat_dif<-
mean(pastLongData$Events[int2_tr]) - mean(pastLongData$Events[int2_ct])
int2_mat_dif
#mean
int2_mat_mean_tr <- mean (pastLongData$Events[int2_tr])
int2_mat_mean_ct <- mean (pastLongData$Events[int2_ct])
#sd
int2_mat_sd_tr <- sd (pastLongData$Events[int2_tr])
int2_mat_sd_ct <- sd (pastLongData$Events[int2_ct])


temp<-c(vh_mat_dif,
h_mat_dif,
c_mat_dif,
vc_mat_dif)

temp_mean_tr<-c(vh_mat_mean_tr,
h_mat_mean_tr,
c_mat_mean_tr,
vc_mat_mean_tr)

temp_mean_ct<-c(vh_mat_mean_ct,
h_mat_mean_ct,
c_mat_mean_ct,
vc_mat_mean_ct)

temp_sd_tr<-c(vh_mat_sd_tr,
h_mat_sd_tr,
c_mat_sd_tr,
vc_mat_sd_tr)

temp_sd_ct<-c(vh_mat_sd_ct,
h_mat_sd_ct,
c_mat_sd_ct,
vc_mat_sd_ct)

precip<-c(vd_mat_dif,
d_mat_dif,
w_mat_dif,
vw_mat_dif)

precip_mean_tr<-c(vd_mat_mean_tr,
d_mat_mean_tr,
w_mat_mean_tr,
vw_mat_mean_tr)

precip_mean_ct<-c(vd_mat_mean_ct,
d_mat_mean_ct,
w_mat_mean_ct,
vw_mat_mean_ct)

precip_sd_tr<-c(vd_mat_sd_tr,
d_mat_sd_tr,
w_mat_sd_tr,
vw_mat_sd_tr)

precip_sd_ct<-c(vd_mat_sd_ct,
d_mat_sd_ct,
w_mat_sd_ct,
vw_mat_sd_ct)

interact<-c(int_mat_dif,int2_mat_dif)

interact_mean_ct<-c(int_mat_mean_ct,int2_mat_mean_ct)
interact_mean_tr<-c(int_mat_mean_tr,int2_mat_mean_tr)

interact_sd_ct<-c(int_mat_sd_ct,int2_mat_sd_ct)
interact_sd_tr<-c(int_mat_sd_tr,int2_mat_sd_tr)



temp_res<-cbind(temp_mean_tr,temp_sd_tr,temp_mean_ct,temp_sd_ct,temp)
precip_res<-cbind(precip_mean_tr,precip_sd_tr,precip_mean_ct,precip_sd_ct,precip)
interact_res<-cbind(interact_mean_tr,interact_sd_tr,interact_mean_ct,interact_sd_ct,interact)

dif_table<-rbind(temp_res,precip_res,interact_res)

names_dif<-c("Very hot", "Hot", "Cold", "Very cold", "Very dry", "Dry", "Wet", "Very wet", "Extremely dry and extremely hot", "Dry and hot")

row.names(dif_table)<-names_dif

dif_table<-round(dif_table,digits=3)

colnames(dif_table)<-c("Mean treatment","Sd. treatment", "Mean control", "Sd. control","Difference in means")

dif_table

write.csv(dif_table,  "new_differences.csv")

###### end differences analysis